//+------------------------------------------------------------------+
//|                                                    Day_level.mq4 |
//|                      Copyright  2011, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2011, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

//---- input parameters
extern double    Risk=0.1;
extern int       tp=20;
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
  if (Hour()<9)
  return(0);
  
  double lot=Risk*AccountBalance()/1000;
  double h=iHigh(Symbol(),PERIOD_H4,1);
  double l=iLow(Symbol(),PERIOD_H4,1);
  double spread=MarketInfo(Symbol(),MODE_SPREAD);
  double ma=iMA(Symbol(),PERIOD_H4,21,0,MODE_SMA,PRICE_CLOSE,0);

  for(int k=1; k<=OrdersTotal(); k++)        
  OrderSelect(k-1,SELECT_BY_POS);
  int type=OrderType();
  int ticket=OrderTicket();
  if (Bid<ma && type==4)
  OrderDelete(ticket);
  if (Bid>ma && type==5)
  OrderDelete(ticket);
     
  for(int i=1; i<=OrdersTotal(); i++)          
  if (OrderSelect(i-1,SELECT_BY_POS)==true)
  return(0);
  
  if (Bid>l && Bid<h && Bid<ma)
  OrderSend(Symbol(),OP_SELLSTOP,lot,l,0,h+spread*Point,l-tp*Point,"Dl",777);
  
  if (Bid>l && Bid<h && Bid>ma)
  OrderSend(Symbol(),OP_BUYSTOP,lot,h+spread*Point,0,l,h+spread*Point+tp*Point,"Dl",777);
  
  
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+